Debian Bug report logs - #697025
gstreamer0.10: please re-upload built against GLib 2.32

version graph

Package: src:gstreamer0.10; Maintainer for src:gstreamer0.10 is Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>;

Reported by: Simon McVittie <smcv@debian.org>

Date: Sun, 30 Dec 2012 21:57:02 UTC

Severity: serious

Found in version gstreamer0.10/0.10.36-1

Fixed in version gstreamer0.10/0.10.36-1.1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#697025; Package src:gstreamer0.10. (Sun, 30 Dec 2012 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Sun, 30 Dec 2012 21:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gstreamer0.10: please re-upload built against GLib 2.32
Date: Sun, 30 Dec 2012 21:53:52 +0000
Source: gstreamer0.10
Version: 0.10.36-1
Severity: serious
Justification: Bug #694525
Control: block 694525 by -1

src:gstreamer0.10 was last built against GLib 2.30, and contains public
structs (at least GstCollectPads2) which embed a GStaticRecMutex.

On most 32-bit platforms (notably armel, armhf, mips, mipsel, powerpc, s390
and sparc), the size of GStaticRecMutex changed between GLib 2.30 and 2.32;
this resulted in bugs like #683012. Because that was a while ago, upstream
recommend rebuilding everything that's affected against the new GLib and
carrying on with the "new" ABI.

Because gstreamer0.10 has Multi-Arch: same packages, a binNMU is undesirable,
so it would be better to make a sourceful upload as a pseudo-binNMU.

See #694525 for further discussion.

Regards,
    Simon



Added indication that bug 697025 blocks 694525 Request was from Simon McVittie <smcv@debian.org> to submit@bugs.debian.org. (Sun, 30 Dec 2012 21:57:05 GMT) Full text and rfc822 format available.

Removed indication that bug 697025 blocks 694525 Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sun, 30 Dec 2012 23:18:04 GMT) Full text and rfc822 format available.

Added indication that bug 697025 blocks 674156 Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sun, 30 Dec 2012 23:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#697025; Package src:gstreamer0.10. (Sun, 30 Dec 2012 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Sun, 30 Dec 2012 23:30:03 GMT) Full text and rfc822 format available.

Message #16 received at 697025@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 697025@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#697025: gstreamer0.10: please re-upload built against GLib 2.32
Date: Sun, 30 Dec 2012 23:28:13 +0000
[Message part 1 (text/plain, inline)]
Here is a proposed (sourceful) NMU. Release team, does this look OK? I
pulled in a couple of trivial changes from pkg-gst git (but not
"debian/rules: Delete all .la files", which seems undesirable during a
freeze).

I've only tested this fairly trivially (totem still plays videos); I'll
do some more testing before uploading if it becomes necessary, but it'd
be better if a maintainer could do proper testing and a MU.

    S
[gst.diff (text/x-patch, attachment)]

Added indication that bug 697025 blocks 683012,683013 Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sun, 30 Dec 2012 23:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#697025; Package src:gstreamer0.10. (Tue, 01 Jan 2013 13:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Tue, 01 Jan 2013 13:30:06 GMT) Full text and rfc822 format available.

Message #23 received at 697025@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Simon McVittie <smcv@debian.org>
Cc: 697025@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#697025: gstreamer0.10: please re-upload built against GLib 2.32
Date: Tue, 1 Jan 2013 14:26:16 +0100
[Message part 1 (text/plain, inline)]
On Sun, Dec 30, 2012 at 23:28:13 +0000, Simon McVittie wrote:

> Here is a proposed (sourceful) NMU. Release team, does this look OK? I
> pulled in a couple of trivial changes from pkg-gst git (but not
> "debian/rules: Delete all .la files", which seems undesirable during a
> freeze).
> 
> I've only tested this fairly trivially (totem still plays videos); I'll
> do some more testing before uploading if it becomes necessary, but it'd
> be better if a maintainer could do proper testing and a MU.
> 
This seems to be missing a way to ensure plugins get a dependency on the
rebuilt libgstreamer0.10-0 (or whatever else is needed to prevent the
combination of a gstreamer and plugin that disagree on the size of
structs)?  That's why I suggested a shlibs bump in libgstreamer, IIRC.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#697025; Package src:gstreamer0.10. (Wed, 09 Jan 2013 21:30:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Wed, 09 Jan 2013 21:30:18 GMT) Full text and rfc822 format available.

Message #28 received at 697025@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 697025@bugs.debian.org
Cc: 674156@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#697025: gstreamer0.10: please re-upload built against GLib 2.32
Date: Wed, 09 Jan 2013 21:29:11 +0000
On 01/01/13 13:26, Julien Cristau wrote:
> On Sun, Dec 30, 2012 at 23:28:13 +0000, Simon McVittie wrote:
>> I've only tested this fairly trivially (totem still plays
>> videos); I'll do some more testing before uploading if it becomes
>> necessary, but it'd be better if a maintainer could do proper
>> testing and a MU.

Any maintainer opinions on this?

> This seems to be missing a way to ensure plugins get a dependency
> on the rebuilt libgstreamer0.10-0 (or whatever else is needed to
> prevent the combination of a gstreamer and plugin that disagree on
> the size of structs)?

As far as I can work out, bumping libgstreamer0.10-0's shlibs would only
help to achieve this if we additionally NMU a bunch of packages to
rebuild them against the new libgstreamer0.10-0 so they get a
dependency. Some of them are multiarch and would thus need a sourceful
upload (gst-plugins-*0.10, *farstream*, etc.) so that doesn't seem
ideal; most of the affected packages have the new ABI already.

One alternative would be for libgstreamer0.10-0 to have versioned Breaks
on those packages, which would reduce the number of uploads considerably.

Another alternative would be to add Breaks to libglib2.0-0 and rely on
the fact that a newly-built libgstreamer0.10-0 already picks up
Depends: libglib2.0-0 (>> squeeze's), and so squeeze-to-wheezy partial
upgrades that pull in the new libgstreamer0.10-0 also pull in the new
libglib2.0-0, which forces the other affected packages to be upgraded
or removed.

The broken situation is in this dependency chain:

libglib2.0-0 <- libgstreamer0.10-0 <- third-package

with this embedding:

    struct ThirdPackageThing {
        ...
        struct GstThing {
            ...
            struct GStaticMutex;
            ...
        }
        ...
    }

Let's call anything that encodes the old (glib2.0 << 2.32) size of
GStaticMutex "old", and anything that encodes the new (glib2.0 >= 2.32)
size of GStaticMutex "new".

The binaries in libgstreamer0.10-0 are either "old" or "new" depending
on their interpretation of their own headers. That interpretation
depends on the version of libglib2.0-dev, "old" or "new", that was
installed when they were compiled.

The binaries in third-package are either "old" or "new", depending on
their interpretation of GStreamer's headers. That interpretation depends
only on the version of libglib2.0-dev that was installed at the time
they were compiled; it does not depend on the version of
libgstreamer0.10-dev that was installed at the time they were compiled.
This is because, in the usual C way, the Gst headers don't explicitly
say what the size of GstThing is: they only define it in terms of the
size of GStaticMutex, and the compiler does the arithmetic anew while
building each translation unit.

(This is how we can have third-level packages appearing in the "new"
set, even though no "new" version of gstreamer0.10 exists yet.)

The broken situation is that at runtime, you have a "new" libglib2.0-0,
an "old" libgstreamer0.10-0, and a "new" third-package.

AFAICS, a big pile of versioned Breaks from libglib2.0-0 to packages
that are known to be affected and built with "old" GLib would resolve
this. I'm somewhat concerned that that many versioned Breaks are going
to make the apt resolver work harder, and might themselves break the
full-upgrade process (like #676485).

I believe that can be mitigated by making the versioned Breaks specific
to the affected architectures, which would result in no additional
upgrade problems for users of unaffected architectures - but in practice
I don't think anyone ever runs piuparts on the affected architectures,
making it harder for any upgrade problems to be discovered.

Regards,
    S



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#697025; Package src:gstreamer0.10. (Wed, 09 Jan 2013 21:39:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Wed, 09 Jan 2013 21:39:13 GMT) Full text and rfc822 format available.

Message #33 received at 697025@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Simon McVittie <smcv@debian.org>
Cc: 697025@bugs.debian.org, 674156@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#697025: gstreamer0.10: please re-upload built against GLib 2.32
Date: Wed, 9 Jan 2013 22:38:18 +0100
[Message part 1 (text/plain, inline)]
On Wed, Jan  9, 2013 at 21:29:11 +0000, Simon McVittie wrote:

> The broken situation is that at runtime, you have a "new" libglib2.0-0,
> an "old" libgstreamer0.10-0, and a "new" third-package.
> 
That situation can be prevented by making sure every "new" third-package
has versioned depends on "new" libgstreamer0.10-0, which is why I asked
for the shlibs bump.  And yes, this does mean rebuilding those
third-packages after the shlibs bump, but I think that's better than
adding more Breaks than necessary.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#697025; Package src:gstreamer0.10. (Wed, 09 Jan 2013 21:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Wed, 09 Jan 2013 21:57:07 GMT) Full text and rfc822 format available.

Message #38 received at 697025@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Simon McVittie <smcv@debian.org>
Cc: 697025@bugs.debian.org, 674156@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#697025: gstreamer0.10: please re-upload built against GLib 2.32
Date: Wed, 09 Jan 2013 22:54:27 +0100
[Message part 1 (text/plain, inline)]
On 09.01.2013 22:29, Simon McVittie wrote:
> On 01/01/13 13:26, Julien Cristau wrote:
>> On Sun, Dec 30, 2012 at 23:28:13 +0000, Simon McVittie wrote:
>>> I've only tested this fairly trivially (totem still plays
>>> videos); I'll do some more testing before uploading if it becomes
>>> necessary, but it'd be better if a maintainer could do proper
>>> testing and a MU.
> 
> Any maintainer opinions on this?
> 
>> This seems to be missing a way to ensure plugins get a dependency
>> on the rebuilt libgstreamer0.10-0 (or whatever else is needed to
>> prevent the combination of a gstreamer and plugin that disagree on
>> the size of structs)?
> 
> As far as I can work out, bumping libgstreamer0.10-0's shlibs would only
> help to achieve this if we additionally NMU a bunch of packages to
> rebuild them against the new libgstreamer0.10-0 so they get a
> dependency. Some of them are multiarch and would thus need a sourceful
> upload (gst-plugins-*0.10, *farstream*, etc.) so that doesn't seem
> ideal; most of the affected packages have the new ABI already.

How many would need a sourceful upload?

> One alternative would be for libgstreamer0.10-0 to have versioned Breaks
> on those packages, which would reduce the number of uploads considerably.
> 
> Another alternative would be to add Breaks to libglib2.0-0 and rely on
> the fact that a newly-built libgstreamer0.10-0 already picks up
> Depends: libglib2.0-0 (>> squeeze's), and so squeeze-to-wheezy partial
> upgrades that pull in the new libgstreamer0.10-0 also pull in the new
> libglib2.0-0, which forces the other affected packages to be upgraded
> or removed.

I've just dropped a bunch of Breaks from libglib2.0-0 since that broke
the dist-upgrade of a default GNOME installation. [1]

I'm worried that adding new Breaks to libglib2.0-0 might bring back
those problems.

Michael


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=676485
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#697025; Package src:gstreamer0.10. (Fri, 11 Jan 2013 18:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Fri, 11 Jan 2013 18:42:05 GMT) Full text and rfc822 format available.

Message #43 received at 697025@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 697025@bugs.debian.org, 674156@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#697025: gstreamer0.10: please re-upload built against GLib 2.32
Date: Fri, 11 Jan 2013 18:39:24 +0000
On 09/01/13 21:54, Michael Biebl wrote:
> On 09.01.2013 22:29, Simon McVittie wrote:
>> As far as I can work out, bumping libgstreamer0.10-0's shlibs
>> would only help to achieve this if we additionally NMU a bunch of
>> packages to rebuild them against the new libgstreamer0.10-0 so
>> they get a dependency.
> 
> How many would need a sourceful upload?

See <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=694525#59>.
tl;dr: up to 22 sourceful and 38 binNMU, although not all of those
depend on GStreamer (some depend directly on GLib).

Having said that, if Julien's reasoning from
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=674156#54> is valid
for Gst, then it's presumably valid for GLib as well? If so, then the
thing to do would be to bump GLib's shlibs instead of adding the
Breaks, and sourceful-upload or binNMU those 60 packages (as appropriate).

> I'm worried that adding new Breaks to libglib2.0-0 might bring
> back those problems.

Yeah, I was getting worried about that too.

The way I see this is that there are some sets of packages in wheezy
that are already in a broken situation. By making a sourceful upload
of gstreamer0.10, together with the sourceful upload of swami that has
already happened and a pile of 14 binNMUs (see 694525#59), we can get
full upgrades into a consistent state. I agree that "full upgrades
work" is less desirable than "every partial upgrade allowed by apt
works" - but it's also better than the situation we're in right now!
In particular, I believe that after those uploads, gnome-dvb-daemon,
the package that started all this, would be able to build on the
affected architectures again.

I've spent some time trying to gather and provide useful information,
but I do not maintain the packages in question, and I am unlikely to
be able to do 22 sourceful uploads of unfamiliar packages any time
soon. Better plans gratefully received. If you (for broad plural
values of "you") would like me to leave this discussion and let the
maintainers of the affected packages sort it out among themselves,
please say.

    S



Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sun, 27 Jan 2013 12:36:12 GMT) Full text and rfc822 format available.

Notification sent to Simon McVittie <smcv@debian.org>:
Bug acknowledged by developer. (Sun, 27 Jan 2013 12:36:12 GMT) Full text and rfc822 format available.

Message #48 received at 697025-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 697025-close@bugs.debian.org
Subject: Bug#697025: fixed in gstreamer0.10 0.10.36-1.1
Date: Sun, 27 Jan 2013 12:32:55 +0000
Source: gstreamer0.10
Source-Version: 0.10.36-1.1

We believe that the bug you reported is fixed in the latest version of
gstreamer0.10, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697025@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated gstreamer0.10 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 26 Jan 2013 11:24:16 +0000
Source: gstreamer0.10
Binary: libgstreamer0.10-0 libgstreamer0.10-0-dbg libgstreamer0.10-dev gstreamer0.10-doc gstreamer0.10-tools gstreamer-tools gir1.2-gstreamer-0.10
Architecture: source all amd64
Version: 0.10.36-1.1
Distribution: unstable
Urgency: low
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 gir1.2-gstreamer-0.10 - Description: GObject introspection data for the GStreamer library
 gstreamer-tools - Tools for use with GStreamer
 gstreamer0.10-doc - GStreamer core documentation and manuals
 gstreamer0.10-tools - Tools for use with GStreamer
 libgstreamer0.10-0 - Core GStreamer libraries and elements
 libgstreamer0.10-0-dbg - Core GStreamer libraries and elements
 libgstreamer0.10-dev - GStreamer core development files
Closes: 660798 697025
Changes: 
 gstreamer0.10 (0.10.36-1.1) unstable; urgency=low
 .
   [ Julien Cristau ]
   * Non-maintainer upload
   * Rebuild against GLib 2.32 (closes: #697025)
   * Bump shlibs and symbols version for GstCollectPads2.
 .
   [ Sebastian Dröge ]
   * debian/changelog:
     + Remove merge conflict marker (Closes: #660798).
 .
   [ Iain Lane ]
   * debian/control:
     + Add Vcs- headers
Checksums-Sha1: 
 dbeb2f8d3cf517dce9c237e4ece9bc30ff781dae 3213 gstreamer0.10_0.10.36-1.1.dsc
 36eb39adf5b06cc0fd45886d45d1a8ef04895283 43891 gstreamer0.10_0.10.36-1.1.debian.tar.gz
 394f7c2b4c7ce787b27d0b64f189c1d75c7e5ac0 4529830 gstreamer0.10-doc_0.10.36-1.1_all.deb
 af08b93277be7c235b7e068fcc7f7d1af541717d 1739910 libgstreamer0.10-0_0.10.36-1.1_amd64.deb
 89a11f1e3ad868038d52b7fed1d257a09190382b 2847436 libgstreamer0.10-0-dbg_0.10.36-1.1_amd64.deb
 f2643ce77de13ff50a269774601e9b28892a95ed 1789670 libgstreamer0.10-dev_0.10.36-1.1_amd64.deb
 5f8311e419872f46cb7e89f611e70d4dc4beeb50 687804 gstreamer0.10-tools_0.10.36-1.1_amd64.deb
 7764b855dee020b060dd79aee61d52073a990cf4 629900 gstreamer-tools_0.10.36-1.1_amd64.deb
 b54b655accc028d4c10dd4a88e9f347f9328a762 689768 gir1.2-gstreamer-0.10_0.10.36-1.1_amd64.deb
Checksums-Sha256: 
 0e1723c0e13add4ca3a9f54f1cdef058e95864d311067d50f4329902737d3b74 3213 gstreamer0.10_0.10.36-1.1.dsc
 117f1416f882791a310a3f1a3280c49c11eb1477735aa91645feb8a4661517f8 43891 gstreamer0.10_0.10.36-1.1.debian.tar.gz
 a51cf7c1e54ef95a5aff221a5673dc16fcc8cba9fbe25b9e35c632a22da0a94e 4529830 gstreamer0.10-doc_0.10.36-1.1_all.deb
 d96ae2e977f14ce6800a1a16bccdd01d16d92fb40bcb1016bf7c5355b1faed77 1739910 libgstreamer0.10-0_0.10.36-1.1_amd64.deb
 3d56cfe9a9d54353edcf3861a6ff35637078c7a8aa6755a0696fb5e21929cc1d 2847436 libgstreamer0.10-0-dbg_0.10.36-1.1_amd64.deb
 4bbeae02989b74143c24b0e452cca3648c9bced5ee0b4b73ee71d3f95907427a 1789670 libgstreamer0.10-dev_0.10.36-1.1_amd64.deb
 f46db61b7343b5a405b9749e8ca5f6f2dbf0dbec77285f75c5f1ff2a72969760 687804 gstreamer0.10-tools_0.10.36-1.1_amd64.deb
 866883b9da3b2c02f7dce5ca5ee052ad3db6a9b897e0bbcaef6fd00294514142 629900 gstreamer-tools_0.10.36-1.1_amd64.deb
 72fca34c778fd05e59d7ca8a33be30a536c5eceeb3bd2bbb89de60a03f24fa05 689768 gir1.2-gstreamer-0.10_0.10.36-1.1_amd64.deb
Files: 
 6a4283543c99c0190e9e055fdeecba37 3213 libs optional gstreamer0.10_0.10.36-1.1.dsc
 cfb39777ce90abcfb90b3cc66077191c 43891 libs optional gstreamer0.10_0.10.36-1.1.debian.tar.gz
 576a97eb0a0246a2de194783b32e85ff 4529830 doc optional gstreamer0.10-doc_0.10.36-1.1_all.deb
 2a18569350c8b30b56ef0d2ab8db0eb2 1739910 libs optional libgstreamer0.10-0_0.10.36-1.1_amd64.deb
 239599e05bbe244ab3807203cc4b3268 2847436 debug extra libgstreamer0.10-0-dbg_0.10.36-1.1_amd64.deb
 5ec227f4205ad44a315b96f86dab86da 1789670 libdevel optional libgstreamer0.10-dev_0.10.36-1.1_amd64.deb
 4d07d2de1d91a8fe63f5f1c58aef6cb8 687804 utils optional gstreamer0.10-tools_0.10.36-1.1_amd64.deb
 feebc843dad75f658a685472a5251b8b 629900 utils optional gstreamer-tools_0.10.36-1.1_amd64.deb
 1d0bbed3efae526b3672c9cf3f8d9f50 689768 introspection optional gir1.2-gstreamer-0.10_0.10.36-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRA8dAAAoJEDEBgAUJBeQMuU0QALcIqofYCwO766hUUZuOwYUS
Lt3IfuGa3RDTQcydqIxeNsBKZ0FxFBglr5E1O7CHR7Sxsrnk9t7Usyf6m43KDaSj
OXqhkrI/ZMIU7HUM7g2Ks6cfPFuLFJQ6ABULyrwVni/vwemdPG7g+yAFuEoECw7l
z0pz9UYYrPW8jmIm7SlgF0wTTaGFfV87rEXnWFm3LJGZqsVrJypIi0ZluqeqEdCd
s2mbEhQYnT6u8m9O1ZrnrxEtLSkcj8zR5ZGEI3xKn5WgeXZzWPjEgd4YBC7RgL63
+8uGw1ik5L/5OOZLSd41JrugryB6Onz8rloEyAtjP3cXU7/ueDFPAPXuLriZO1ih
aDRVFViJg31utglDiXgw8Qkd4FAtkMvCeIo1L/GGCVGxxo135dfKNGipEBcCrXGS
iuQZlyZ1Y4RPgyCw/UUwhvEwc06sxwoI2vJziIQjTDciApsfrQsKRvcKOKm6mJPp
bNh0dX8iI05WIGww/bPPTXZZHjQY9l6XCMaWg3E4kI6XMlUzDJmkIbYVH0HcF/Bz
TK//Yb+yD9PFAnGWr1getD54iQ70FVGWjEnDZGQF18tSsEWUeQ6AGRQHvn7v0nZE
91muZmzGv83gjTtK7aubwf0FUuGtphV+DtA+vtl8IlEHkeAQvAbI9noyZg2/r1K+
kY/SFpfPM7eGpUJQULKt
=hrXn
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Feb 2013 07:26:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:28:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.